Subject: Re: [PATCH v2] Add configuration variable for sign-off to format-patch

From: Andreas Ericsson <[email-masked]>
Date: Mon, 06 Apr 2009 12:58:08 +0200

Junio C Hamano wrote:
> Heiko Voigt <[email-masked]> writes:
> 
>> diff --git a/Documentation/config.txt b/Documentation/config.txt
>> index ad22cb8..27cb7f1 100644
>> --- a/Documentation/config.txt
>> +++ b/Documentation/config.txt
>> @@ -715,6 +715,13 @@ format.thread::
>>  	A true boolean value is the same as `shallow`, and a false
>>  	value disables threading.
>>  
>> +format.signoff::
>> +    A boolean value which lets you enable the `-s/--signoff` option of
>> +    format-patch by default. *Note:* Adding the Signed-off-by: line to a
>> +    patch should be a conscious act and means that you certify you have
>> +    the rights to submit this work under the same open source license.
>> +    Please see the 'SubmittingPatches' document for further discussion.
> 
> I have a mixed feeling about this description.  The existing description
> on the --signoff option merely talks about what it does, leaving what it
> means, and it is quite deliberate.  If your project uses S-o-b, it may be
> useful.  If yours doesn't, you simply just don't use it.  It does not
> matter to _us_ as the document writer what that line means to your
> project.
> 
> We do want to make the reader think twice iff S-o-b is used in the
> reader's project with the same meaning as it means in git and the Linux
> kernel project, which is what the description you added is about.  But
> should we just assume if anybody uses S-o-b convention in their project
> they must give it the same meaning as we give it?
> 
> The patch looks straightforward enough, and the wording we can update if
> somebody can come up with a better one, so I'll apply the patch to
> 'master' and we will go from there.
> 

How about:
"Some projects (notably the Linux kernel and git itself) put special
meaning in a 'Signed-off-by' line while other's dont. Please refer
to your project's documentation for appropriate behaviour."

Optionally with the following amendment:

"In general, you should refrain from signing off on a patch containing
material that you're not sure can be legally spread under the project's
license."

I'll whip up a patch if someone cares enough about it to say "+1" to
either proposal, or make a better one.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231

Considering the successes of the wars on alcohol, poverty, drugs and
terror, I think we should give some serious thought to declaring war
on peace.